import { OnModuleInit } from '@nestjs/common';
import { Model } from 'mongoose';
import { Designation, DesignationDocument } from './designation.schema';
export declare class DesignationsService implements OnModuleInit {
    private readonly designationModel;
    private readonly logger;
    constructor(designationModel: Model<DesignationDocument>);
    onModuleInit(): Promise<void>;
    private seedDefaults;
    findAll(): Promise<Designation[]>;
    create(name: string): Promise<Designation>;
}
